from .readme_maker import ReadMeMaker

DEFAULT_DATA_FOLDER_DIR = "../data"
DEFAULT_COMPONENT_CONFIG_FOLDER_DIR = "../component_config"
DEFAULT_OUTPUT_LOC = "generated.md"


def generate_docs(data_dir: str = DEFAULT_DATA_FOLDER_DIR,
                  component_config_dir: str = DEFAULT_COMPONENT_CONFIG_FOLDER_DIR,
                  output_loc: str = DEFAULT_OUTPUT_LOC):
    rm = ReadMeMaker(component_config_dir, data_dir)
    rm.generate_readme()
    rm.save_readme(output_loc)
